<?php
// Own namespace
namespace Org\Mxchange\City\Database\Frontend\GameOptions;

// Import framework stuff
use Org\Mxchange\CoreFramework\Database\Frontend\BaseDatabaseWrapper;
use Org\Mxchange\CoreFramework\Registry\Registerable;

/**
 * A database wrapper for game options
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2015, 2016 City Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class CityGameOptionsDatabaseWrapper extends BaseDatabaseWrapper implements CityGameOptionsWrapper, Registerable {
	// Constants for database table names
	const DB_TABLE_GAME_OPTION_INFORMATION = 'game_options';

	// Constants for database column names
	const DB_COLUMN_GAME_OPTION_ID          = 'game_id';
	const DB_COLUMN_GAME_OPTION_USER_ID     = 'game_user_id';
	const DB_COLUMN_GAME_OPTION_FLAG_PAUSED = 'game_flag_paused';

	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this database wrapper by a provided user class
	 *
	 * @return	$wrapperInstance	An instance of the created wrapper class
	 */
	public static final function createCityGameOptionsDatabaseWrapper () {
		// Get a new instance
		$wrapperInstance = new CityGameOptionsDatabaseWrapper();

		// Set (primary!) table name
		$wrapperInstance->setTableName(self::DB_TABLE_GAME_OPTION_INFORMATION);

		// Return the instance
		return $wrapperInstance;
	}
}
